Subject: [Lsr] Adjacency SID and Passive Interface

From: <[email-masked]>
Date: Fri, 10 May 2019 09:58:04 +0200

Dear all,

I have a question about (LAN)-Adjacency SID and passive interfaces.

In both OSPF and IS-IS it is possible to configure an interface in passive mode so that the IGP will advertise
this interface, in particular the TE information associated to this interface. RFC 5392, respectively RFC 5316
specify how to advertise inter-domain links in OSPF, respectively IS-IS.

In the current state of Segment Routing drafts, do you think it is possible to advertise
Adjacency SID on such passive or inter-domain interfaces or do we need to specify this behaviour
in a new draft ?

For me I don't see anything in the drafts that prohibits this kind of advertisement, but perhaps I'm wrong.

Regards

Olivier

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Christian Franke <[email-masked]>
Date: Fri, 10 May 2019 10:40:11 +0200

> For me I don't see anything in the drafts that prohibits this kind of advertisement, but perhaps I'm wrong.

My understanding is that the SID is specific to an adjacency and
advertised in IS-IS in either TLV 22, 222, 23, 223.

As adjacencies will not be formed on a passive interface, an adjacency
SID should not be advertised for the passive interface.

I might also be wrong here, though.

All Best,
Chris

---

From: Alexander Vainshtein <[email-masked]>
Date: Fri, 10 May 2019 09:18:54 +0000

Hi all,
The life span of an unprotected Adj-SID matches the life span of the corresponding IGP adjacency. This means that there can be no Adj-SIDs on passive IGP interfaces because no IGP adjacencies are formed across thesd interfaces.

Inter-AS interfaces can be associated with BGP Peer Segment IDs as described in  the BGP Egress Peer Engineering (EPE) draft.

Hopefully this helps.

Thumb typed by Sasha Vainshtein

________________________________
From: spring <[email-masked]> on behalf of Christian Franke <[email-masked]>
Sent: Friday, May 10, 2019 11:40:11 AM
To: [email-masked]; SPRING; LSR
Subject: Re: [spring] [Lsr] Adjacency SID and Passive Interface

All Best,
Chris

_______________________________________________
spring mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/spring

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is 
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this 
transmission in error, please inform us by e-mail, phone or fax, and then delete the original 
and all copies thereof.
___________________________________________________________________________

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 10 May 2019 12:08:43 +0000

Hi Chris, Olivier, 

On 5/10/19, 4:41 AM, "Lsr on behalf of Christian Franke" <[email-masked] on behalf of [email-masked]> wrote:

    

I agree with Chris. We shouldn't reuse the existing Adj-SID when there will never be an adjacency and the current semantics require this. If we need advertisement of SIDs for passive interfaces, it would definitely be a new draft that clearly articulates the use case and designates a new type of SID that has different semantics. Also note that while passive interfaces are very useful in order to include a stub network in the topologies, they are not part of the OSPF specifications. I haven't done an exhaustive search on IS-IS. 

Thanks,
Acee

    All Best,
    Chris
    
    _______________________________________________
    Lsr mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/lsr

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Fri, 10 May 2019 12:22:23 +0000

+1

Hi Oliver,

Technically Adj-SID refers to an IGP adjacency between two nodes as per RFC8402 semantics. I don't think a passive (stub) link falls under that category. It would be better to define a passive link separately (somewhat on lines of what was done for inter-AS TE) so that it does not get mixed up with the classical IGP links. I would think a new draft would be apt for such an extension.

Thanks,
Ketan

-----Original Message-----
From: Lsr <[email-masked]> On Behalf Of Acee Lindem (acee)
Sent: 10 May 2019 17:39
To: Christian Franke <[email-masked]>; [email-masked]; SPRING <[email-masked]>; LSR <[email-masked]>
Subject: Re: [Lsr] Adjacency SID and Passive Interface

Hi Chris, Olivier, 

    

Thanks,
Acee

    All Best,
    Chris

---

From: <[email-masked]>
Date: Fri, 10 May 2019 16:11:59 +0200

Thanks everybody for your answer.

It is clear that Adj-SID is linked to the existence of an IS-IS adjacency with a neighbour, thus it is not usable for passive interface or inter-domain link.

Regards

Olivier

---

From: Jeff Tantsura <[email-masked]>
Date: Fri, 10 May 2019 08:43:05 -0700

+1

Regards,
Jeff

> On May 10, 2019, at 05:22, Ketan Talaulikar (ketant) <[email-masked]> wrote:
> 
> +1
> 
> Hi Oliver,
>